
From: "Randy.Dunlap" <rddunlap@osdl.org>

I'm going thru all syscalls, one function name at a time, and removing
unneeded prototypes and adding #include syscalls.h.



---

 arch/arm/kernel/armksyms.c          |    2 +-
 arch/arm26/kernel/armksyms.c        |    2 +-
 arch/ia64/ia32/ia32_signal.c        |    7 +------
 arch/ia64/ia32/sys_ia32.c           |    5 -----
 arch/ia64/kernel/sys_ia64.c         |    2 +-
 arch/mips/kernel/linux32.c          |   10 ----------
 arch/mips/kernel/signal32.c         |    8 +-------
 arch/mips/kernel/sysirix.c          |    7 -------
 arch/parisc/hpux/sys_hpux.c         |    1 -
 arch/parisc/kernel/signal32.c       |    5 +----
 arch/parisc/kernel/sys_parisc32.c   |    1 -
 arch/ppc64/kernel/rtasd.c           |    2 --
 arch/ppc64/kernel/sys_ppc32.c       |   35 -----------------------------------
 arch/s390/kernel/compat_linux.c     |   15 ---------------
 arch/sparc/kernel/sys_sunos.c       |    2 --
 arch/sparc64/kernel/sparc64_ksyms.c |    6 ------
 arch/sparc64/kernel/sys_sparc32.c   |   19 -------------------
 arch/sparc64/kernel/sys_sunos32.c   |    2 --
 arch/x86_64/ia32/sys_ia32.c         |   16 ----------------
 include/linux/syscalls.h            |   17 +++++++----------
 20 files changed, 13 insertions(+), 151 deletions(-)

diff -puN arch/arm26/kernel/armksyms.c~add-syscalls-update arch/arm26/kernel/armksyms.c
--- 25/arch/arm26/kernel/armksyms.c~add-syscalls-update	2004-02-06 18:54:00.000000000 -0800
+++ 25-akpm/arch/arm26/kernel/armksyms.c	2004-02-06 18:54:00.000000000 -0800
@@ -21,6 +21,7 @@
 #include <linux/tty.h>
 #include <linux/vt_kern.h>
 #include <linux/smp_lock.h>
+#include <linux/syscalls.h>
 
 #include <asm/byteorder.h>
 #include <asm/elf.h>
@@ -48,7 +49,6 @@ extern void __bad_xchg(volatile void *pt
 extern int sys_write(int, const char *, int);
 extern int sys_read(int, char *, int);
 extern int sys_lseek(int, off_t, int);
-extern int sys_exit(int);
 
 /*
  * libgcc functions - functions that are used internally by the
diff -puN arch/arm/kernel/armksyms.c~add-syscalls-update arch/arm/kernel/armksyms.c
--- 25/arch/arm/kernel/armksyms.c~add-syscalls-update	2004-02-06 18:54:00.000000000 -0800
+++ 25-akpm/arch/arm/kernel/armksyms.c	2004-02-06 18:54:00.000000000 -0800
@@ -22,6 +22,7 @@
 #include <linux/tty.h>
 #include <linux/vt_kern.h>
 #include <linux/smp_lock.h>
+#include <linux/syscalls.h>
 
 #include <asm/byteorder.h>
 #include <asm/elf.h>
@@ -49,7 +50,6 @@ extern void __bad_xchg(volatile void *pt
 extern int sys_write(int, const char *, int);
 extern int sys_read(int, char *, int);
 extern int sys_lseek(int, off_t, int);
-extern int sys_exit(int);
 
 /*
  * libgcc functions - functions that are used internally by the
diff -puN arch/ia64/ia32/ia32_signal.c~add-syscalls-update arch/ia64/ia32/ia32_signal.c
--- 25/arch/ia64/ia32/ia32_signal.c~add-syscalls-update	2004-02-06 18:54:00.000000000 -0800
+++ 25-akpm/arch/ia64/ia32/ia32_signal.c	2004-02-06 18:54:00.000000000 -0800
@@ -20,6 +20,7 @@
 #include <linux/smp.h>
 #include <linux/smp_lock.h>
 #include <linux/stddef.h>
+#include <linux/syscalls.h>
 #include <linux/unistd.h>
 #include <linux/wait.h>
 #include <linux/compat.h>
@@ -550,9 +551,6 @@ sys32_rt_sigaction (int sig, struct siga
 }
 
 
-extern asmlinkage long sys_rt_sigprocmask (int how, sigset_t *set, sigset_t *oset,
-					   size_t sigsetsize);
-
 asmlinkage long
 sys32_rt_sigprocmask (int how, compat_sigset_t *set, compat_sigset_t *oset, unsigned int sigsetsize)
 {
@@ -584,8 +582,6 @@ asmlinkage long
 sys32_rt_sigtimedwait (compat_sigset_t *uthese, siginfo_t32 *uinfo,
 		struct compat_timespec *uts, unsigned int sigsetsize)
 {
-	extern asmlinkage long sys_rt_sigtimedwait (const sigset_t *, siginfo_t *,
-						    const struct timespec *, size_t);
 	extern int copy_siginfo_to_user32 (siginfo_t32 *, siginfo_t *);
 	mm_segment_t old_fs = get_fs();
 	struct timespec t;
@@ -611,7 +607,6 @@ sys32_rt_sigtimedwait (compat_sigset_t *
 asmlinkage long
 sys32_rt_sigqueueinfo (int pid, int sig, siginfo_t32 *uinfo)
 {
-	extern asmlinkage long sys_rt_sigqueueinfo (int, int, siginfo_t *);
 	extern int copy_siginfo_from_user32 (siginfo_t *to, siginfo_t32 *from);
 	mm_segment_t old_fs = get_fs();
 	siginfo_t info;
diff -puN arch/ia64/ia32/sys_ia32.c~add-syscalls-update arch/ia64/ia32/sys_ia32.c
--- 25/arch/ia64/ia32/sys_ia32.c~add-syscalls-update	2004-02-06 18:54:00.000000000 -0800
+++ 25-akpm/arch/ia64/ia32/sys_ia32.c	2004-02-06 18:54:00.000000000 -0800
@@ -2361,8 +2361,6 @@ sys32_newuname (struct new_utsname *name
 	return ret;
 }
 
-extern asmlinkage long sys_getresuid (uid_t *ruid, uid_t *euid, uid_t *suid);
-
 asmlinkage long
 sys32_getresuid16 (u16 *ruid, u16 *euid, u16 *suid)
 {
@@ -2379,8 +2377,6 @@ sys32_getresuid16 (u16 *ruid, u16 *euid,
 	return ret;
 }
 
-extern asmlinkage long sys_getresgid (gid_t *rgid, gid_t *egid, gid_t *sgid);
-
 asmlinkage long
 sys32_getresgid16 (u16 *rgid, u16 *egid, u16 *sgid)
 {
@@ -2636,7 +2632,6 @@ sys32_sysinfo (struct sysinfo32 *info)
 asmlinkage long
 sys32_sched_rr_get_interval (pid_t pid, struct compat_timespec *interval)
 {
-	extern asmlinkage long sys_sched_rr_get_interval (pid_t, struct timespec *);
 	mm_segment_t old_fs = get_fs();
 	struct timespec t;
 	long ret;
diff -puN arch/ia64/kernel/sys_ia64.c~add-syscalls-update arch/ia64/kernel/sys_ia64.c
--- 25/arch/ia64/kernel/sys_ia64.c~add-syscalls-update	2004-02-06 18:54:00.000000000 -0800
+++ 25-akpm/arch/ia64/kernel/sys_ia64.c	2004-02-06 18:54:00.000000000 -0800
@@ -15,6 +15,7 @@
 #include <linux/file.h>		/* doh, must come after sched.h... */
 #include <linux/smp.h>
 #include <linux/smp_lock.h>
+#include <linux/syscalls.h>
 #include <linux/highuid.h>
 #include <linux/hugetlb.h>
 
@@ -74,7 +75,6 @@ arch_get_unmapped_area (struct file *fil
 asmlinkage long
 ia64_getpriority (int which, int who)
 {
-	extern long sys_getpriority (int, int);
 	long prio;
 
 	prio = sys_getpriority(which, who);
diff -puN arch/mips/kernel/linux32.c~add-syscalls-update arch/mips/kernel/linux32.c
--- 25/arch/mips/kernel/linux32.c~add-syscalls-update	2004-02-06 18:54:00.000000000 -0800
+++ 25-akpm/arch/mips/kernel/linux32.c	2004-02-06 18:54:00.000000000 -0800
@@ -1013,10 +1013,6 @@ out_nofds:
 }
 
 
-
-extern asmlinkage int sys_sched_rr_get_interval(pid_t pid,
-	struct timespec *interval);
-
 asmlinkage int sys32_sched_rr_get_interval(compat_pid_t pid,
 	struct compat_timespec *interval)
 {
@@ -1663,9 +1659,6 @@ asmlinkage long sys32_sysctl(struct sysc
 
 #endif /* CONFIG_SYSCTL */
 
-extern asmlinkage int sys_sched_setaffinity(pid_t pid, unsigned int len,
-					    unsigned long *user_mask_ptr);
-
 asmlinkage int sys32_sched_setaffinity(compat_pid_t pid, unsigned int len,
 				       u32 *user_mask_ptr)
 {
@@ -1687,9 +1680,6 @@ asmlinkage int sys32_sched_setaffinity(c
 	return ret;
 }
 
-extern asmlinkage int sys_sched_getaffinity(pid_t pid, unsigned int len,
-					    unsigned long *user_mask_ptr);
-
 asmlinkage int sys32_sched_getaffinity(compat_pid_t pid, unsigned int len,
 				       u32 *user_mask_ptr)
 {
diff -puN arch/mips/kernel/signal32.c~add-syscalls-update arch/mips/kernel/signal32.c
--- 25/arch/mips/kernel/signal32.c~add-syscalls-update	2004-02-06 18:54:00.000000000 -0800
+++ 25-akpm/arch/mips/kernel/signal32.c	2004-02-06 18:54:00.000000000 -0800
@@ -13,6 +13,7 @@
 #include <linux/smp_lock.h>
 #include <linux/kernel.h>
 #include <linux/signal.h>
+#include <linux/syscalls.h>
 #include <linux/errno.h>
 #include <linux/wait.h>
 #include <linux/ptrace.h>
@@ -761,9 +762,6 @@ out:
 	return ret;
 }
 
-asmlinkage long sys_rt_sigprocmask(int how, sigset_t *set, sigset_t *oset,
-				   size_t sigsetsize);
-
 asmlinkage int sys32_rt_sigprocmask(int how, compat_sigset_t *set,
 	compat_sigset_t *oset, unsigned int sigsetsize)
 {
@@ -785,8 +783,6 @@ asmlinkage int sys32_rt_sigprocmask(int 
 	return ret;
 }
 
-asmlinkage long sys_rt_sigpending(sigset_t *set, size_t sigsetsize);
-
 asmlinkage int sys32_rt_sigpending(compat_sigset_t *uset,
 	unsigned int sigsetsize)
 {
@@ -895,8 +891,6 @@ asmlinkage int sys32_rt_sigtimedwait(com
 	return ret;
 }
 
-extern asmlinkage int sys_rt_sigqueueinfo(int pid, int sig, siginfo_t *uinfo);
-
 asmlinkage int sys32_rt_sigqueueinfo(int pid, int sig, siginfo_t32 *uinfo)
 {
 	siginfo_t info;
diff -puN arch/mips/kernel/sysirix.c~add-syscalls-update arch/mips/kernel/sysirix.c
--- 25/arch/mips/kernel/sysirix.c~add-syscalls-update	2004-02-06 18:54:00.000000000 -0800
+++ 25-akpm/arch/mips/kernel/sysirix.c	2004-02-06 18:54:00.000000000 -0800
@@ -236,11 +236,7 @@ asmlinkage int irix_prctl(struct pt_regs
 #undef DEBUG_PROCGRPS
 
 extern unsigned long irix_mapelf(int fd, struct elf_phdr *user_phdrp, int cnt);
-extern asmlinkage int sys_setpgid(pid_t pid, pid_t pgid);
 extern void sys_sync(void);
-extern asmlinkage int sys_getsid(pid_t pid);
-extern asmlinkage int sys_getgroups(int gidsetsize, gid_t *grouplist);
-extern asmlinkage int sys_setgroups(int gidsetsize, gid_t *grouplist);
 extern int getrusage(struct task_struct *p, int who, struct rusage *ru);
 extern char *prom_getenv(char *name);
 extern long prom_setenv(char *name, char *value);
@@ -788,9 +784,6 @@ out:
 	return error;
 }
 
-extern asmlinkage int sys_setpgid(pid_t pid, pid_t pgid);
-extern asmlinkage int sys_setsid(void);
-
 asmlinkage int irix_setpgrp(int flags)
 {
 	int error;
diff -puN arch/parisc/hpux/sys_hpux.c~add-syscalls-update arch/parisc/hpux/sys_hpux.c
--- 25/arch/parisc/hpux/sys_hpux.c~add-syscalls-update	2004-02-06 18:54:00.000000000 -0800
+++ 25-akpm/arch/parisc/hpux/sys_hpux.c	2004-02-06 18:54:00.000000000 -0800
@@ -62,7 +62,6 @@ int hpux_ptrace(void)
 
 int hpux_wait(int *stat_loc)
 {
-	extern int sys_waitpid(int, int *, int);
 	return sys_waitpid(-1, stat_loc, 0);
 }
 
diff -puN arch/parisc/kernel/signal32.c~add-syscalls-update arch/parisc/kernel/signal32.c
--- 25/arch/parisc/kernel/signal32.c~add-syscalls-update	2004-02-06 18:54:00.000000000 -0800
+++ 25-akpm/arch/parisc/kernel/signal32.c	2004-02-06 18:54:00.000000000 -0800
@@ -28,6 +28,7 @@
 #include <linux/smp_lock.h>
 #include <linux/init.h>
 #include <linux/sched.h>
+#include <linux/syscalls.h>
 #include <linux/types.h>
 #include <linux/errno.h>
 
@@ -92,9 +93,6 @@ get_sigset32(compat_sigset_t *up, sigset
 int sys32_rt_sigprocmask(int how, compat_sigset_t *set, compat_sigset_t *oset,
 				    unsigned int sigsetsize)
 {
-	extern long sys_rt_sigprocmask(int how,
-				    sigset_t *set, sigset_t *oset,
-				   size_t sigsetsize);
 	sigset_t old_set, new_set;
 	int ret;
 
@@ -115,7 +113,6 @@ int sys32_rt_sigpending(compat_sigset_t 
 {
 	int ret;
 	sigset_t set;
-	extern long sys_rt_sigpending(sigset_t *set, size_t sigsetsize);
 
 	KERNEL_SYSCALL(ret, sys_rt_sigpending, &set, sigsetsize);
 
diff -puN arch/parisc/kernel/sys_parisc32.c~add-syscalls-update arch/parisc/kernel/sys_parisc32.c
--- 25/arch/parisc/kernel/sys_parisc32.c~add-syscalls-update	2004-02-06 18:54:00.000000000 -0800
+++ 25-akpm/arch/parisc/kernel/sys_parisc32.c	2004-02-06 18:54:00.000000000 -0800
@@ -358,7 +358,6 @@ asmlinkage long sys32_sched_rr_get_inter
 {
 	struct timespec t;
 	int ret;
-	extern asmlinkage long sys_sched_rr_get_interval(pid_t pid, struct timespec *interval);
 	
 	KERNEL_SYSCALL(ret, sys_sched_rr_get_interval, pid, &t);
 	if (put_compat_timespec(&t, interval))
diff -puN arch/ppc64/kernel/rtasd.c~add-syscalls-update arch/ppc64/kernel/rtasd.c
--- 25/arch/ppc64/kernel/rtasd.c~add-syscalls-update	2004-02-06 18:54:00.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/rtasd.c	2004-02-06 18:54:00.000000000 -0800
@@ -336,8 +336,6 @@ static int get_eventscan_parms(void)
 	return 0;
 }
 
-extern long sys_sched_get_priority_max(int policy);
-
 static int rtasd(void *unused)
 {
 	unsigned int err_type;
diff -puN arch/ppc64/kernel/sys_ppc32.c~add-syscalls-update arch/ppc64/kernel/sys_ppc32.c
--- 25/arch/ppc64/kernel/sys_ppc32.c~add-syscalls-update	2004-02-06 18:54:00.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/sys_ppc32.c	2004-02-06 18:54:00.000000000 -0800
@@ -2249,8 +2249,6 @@ asmlinkage long sys32_creat(const char *
 }
 
 
-extern asmlinkage long sys_waitpid(pid_t pid, unsigned int * stat_addr, int options);
-
 /* Note: it is necessary to treat pid and options as unsigned ints,
  * with the corresponding cast to a signed int to insure that the 
  * proper conversion (sign extension) between the register representation of a signed int (msr in 32-bit mode)
@@ -2262,8 +2260,6 @@ asmlinkage long sys32_waitpid(u32 pid, u
 }
 
 
-extern asmlinkage long sys_getgroups(int gidsetsize, gid_t *grouplist);
-
 /* Note: it is necessary to treat gidsetsize as an unsigned int,
  * with the corresponding cast to a signed int to insure that the 
  * proper conversion (sign extension) between the register representation of a signed int (msr in 32-bit mode)
@@ -2275,8 +2271,6 @@ asmlinkage long sys32_getgroups(u32 gids
 }
 
 
-extern asmlinkage long sys_getpgid(pid_t pid);
-
 /* Note: it is necessary to treat pid as an unsigned int,
  * with the corresponding cast to a signed int to insure that the 
  * proper conversion (sign extension) between the register representation of a signed int (msr in 32-bit mode)
@@ -2288,8 +2282,6 @@ asmlinkage long sys32_getpgid(u32 pid)
 }
 
 
-extern asmlinkage long sys_getpriority(int which, int who);
-
 /* Note: it is necessary to treat which and who as unsigned ints,
  * with the corresponding cast to a signed int to insure that the 
  * proper conversion (sign extension) between the register representation of a signed int (msr in 32-bit mode)
@@ -2301,8 +2293,6 @@ asmlinkage long sys32_getpriority(u32 wh
 }
 
 
-extern asmlinkage long sys_getsid(pid_t pid);
-
 /* Note: it is necessary to treat pid as an unsigned int,
  * with the corresponding cast to a signed int to insure that the 
  * proper conversion (sign extension) between the register representation of a signed int (msr in 32-bit mode)
@@ -2313,7 +2303,6 @@ asmlinkage long sys32_getsid(u32 pid)
 	return sys_getsid((int)pid);
 }
 
-extern asmlinkage long sys_kill(int pid, int sig);
 
 /* Note: it is necessary to treat pid and sig as unsigned ints,
  * with the corresponding cast to a signed int to insure that the 
@@ -2336,8 +2325,6 @@ asmlinkage long sys32_mkdir(const char *
 	return sys_mkdir(pathname, (int)mode);
 }
 
-extern asmlinkage long sys_nice(int increment);
-
 long sys32_nice(u32 increment)
 {
 	/* sign extend increment */
@@ -2391,8 +2378,6 @@ asmlinkage long sys32_readlink(const cha
 	return sys_readlink(path, buf, (int)bufsiz);
 }
 
-extern asmlinkage long sys_sched_get_priority_max(int policy);
-
 /* Note: it is necessary to treat option as an unsigned int,
  * with the corresponding cast to a signed int to insure that the 
  * proper conversion (sign extension) between the register representation of a signed int (msr in 32-bit mode)
@@ -2404,8 +2389,6 @@ asmlinkage long sys32_sched_get_priority
 }
 
 
-extern asmlinkage long sys_sched_get_priority_min(int policy);
-
 /* Note: it is necessary to treat policy as an unsigned int,
  * with the corresponding cast to a signed int to insure that the 
  * proper conversion (sign extension) between the register representation of a signed int (msr in 32-bit mode)
@@ -2417,8 +2400,6 @@ asmlinkage long sys32_sched_get_priority
 }
 
 
-extern asmlinkage long sys_sched_getparam(pid_t pid, struct sched_param *param);
-
 /* Note: it is necessary to treat pid as an unsigned int,
  * with the corresponding cast to a signed int to insure that the 
  * proper conversion (sign extension) between the register representation of a signed int (msr in 32-bit mode)
@@ -2430,8 +2411,6 @@ asmlinkage long sys32_sched_getparam(u32
 }
 
 
-extern asmlinkage long sys_sched_getscheduler(pid_t pid);
-
 /* Note: it is necessary to treat pid as an unsigned int,
  * with the corresponding cast to a signed int to insure that the 
  * proper conversion (sign extension) between the register representation of a signed int (msr in 32-bit mode)
@@ -2443,8 +2422,6 @@ asmlinkage long sys32_sched_getscheduler
 }
 
 
-extern asmlinkage long sys_sched_setparam(pid_t pid, struct sched_param *param);
-
 /* Note: it is necessary to treat pid as an unsigned int,
  * with the corresponding cast to a signed int to insure that the 
  * proper conversion (sign extension) between the register representation of a signed int (msr in 32-bit mode)
@@ -2456,8 +2433,6 @@ asmlinkage long sys32_sched_setparam(u32
 }
 
 
-extern asmlinkage long sys_sched_setscheduler(pid_t pid, int policy, struct sched_param *param);
-
 /* Note: it is necessary to treat pid and policy as unsigned ints,
  * with the corresponding cast to a signed int to insure that the 
  * proper conversion (sign extension) between the register representation of a signed int (msr in 32-bit mode)
@@ -2480,8 +2455,6 @@ asmlinkage long sys32_setdomainname(char
 }
 
 
-extern asmlinkage long sys_setgroups(int gidsetsize, gid_t *grouplist);
-
 /* Note: it is necessary to treat gidsetsize as an unsigned int,
  * with the corresponding cast to a signed int to insure that the 
  * proper conversion (sign extension) between the register representation of a signed int (msr in 32-bit mode)
@@ -2500,8 +2473,6 @@ asmlinkage long sys32_sethostname(char *
 }
 
 
-extern asmlinkage long sys_setpgid(pid_t pid, pid_t pgid);
-
 /* Note: it is necessary to treat pid and pgid as unsigned ints,
  * with the corresponding cast to a signed int to insure that the 
  * proper conversion (sign extension) between the register representation of a signed int (msr in 32-bit mode)
@@ -2513,16 +2484,12 @@ asmlinkage long sys32_setpgid(u32 pid, u
 }
 
 
-extern asmlinkage long sys_setpriority(int which, int who, int niceval);
-
 long sys32_setpriority(u32 which, u32 who, u32 niceval)
 {
 	/* sign extend which, who and niceval */
 	return sys_setpriority((int)which, (int)who, (int)niceval);
 }
 
-extern asmlinkage long sys_ssetmask(int newmask);
-
 /* Note: it is necessary to treat newmask as an unsigned int,
  * with the corresponding cast to a signed int to insure that the 
  * proper conversion (sign extension) between the register representation of a signed int (msr in 32-bit mode)
@@ -2696,8 +2663,6 @@ long sys32_utimes(char *filename, struct
 	return ret;
 }
 
-extern long sys_tgkill(int tgid, int pid, int sig);
-
 long sys32_tgkill(u32 tgid, u32 pid, int sig)
 {
 	/* sign extend tgid, pid */
diff -puN arch/s390/kernel/compat_linux.c~add-syscalls-update arch/s390/kernel/compat_linux.c
--- 25/arch/s390/kernel/compat_linux.c~add-syscalls-update	2004-02-06 18:54:00.000000000 -0800
+++ 25-akpm/arch/s390/kernel/compat_linux.c	2004-02-06 18:54:00.000000000 -0800
@@ -72,10 +72,6 @@
 
 #include "compat_linux.h"
 
-extern asmlinkage long sys_setgid(gid_t);
-extern asmlinkage long sys_setuid(uid_t);
-extern asmlinkage long sys_setfsuid(uid_t);
-extern asmlinkage long sys_setfsgid(gid_t);
  
 /* For this source file, we want overflow handling. */
 
@@ -1593,8 +1589,6 @@ asmlinkage int sys32_sysinfo(struct sysi
 	return ret;
 }
 
-extern asmlinkage int sys_sched_rr_get_interval(pid_t pid, struct timespec *interval);
-
 asmlinkage int sys32_sched_rr_get_interval(compat_pid_t pid,
 		struct compat_timespec *interval)
 {
@@ -1610,8 +1604,6 @@ asmlinkage int sys32_sched_rr_get_interv
 	return ret;
 }
 
-extern asmlinkage int sys_rt_sigprocmask(int how, sigset_t *set, sigset_t *oset, size_t sigsetsize);
-
 asmlinkage int sys32_rt_sigprocmask(int how, compat_sigset_t *set, compat_sigset_t *oset, compat_size_t sigsetsize)
 {
 	sigset_t s;
@@ -1646,8 +1638,6 @@ asmlinkage int sys32_rt_sigprocmask(int 
 	return 0;
 }
 
-extern asmlinkage int sys_rt_sigpending(sigset_t *set, size_t sigsetsize);
-
 asmlinkage int sys32_rt_sigpending(compat_sigset_t *set, compat_size_t sigsetsize)
 {
 	sigset_t s;
@@ -1755,9 +1745,6 @@ sys32_rt_sigtimedwait(compat_sigset_t *u
 	return ret;
 }
 
-extern asmlinkage int
-sys_rt_sigqueueinfo(int pid, int sig, siginfo_t *uinfo);
-
 asmlinkage int
 sys32_rt_sigqueueinfo(int pid, int sig, siginfo_t32 *uinfo)
 {
@@ -2485,8 +2472,6 @@ asmlinkage int sys32_adjtimex(struct tim
 	return ret;
 }
 
-extern asmlinkage long sys_setpriority(int which, int who, int niceval);
-
 asmlinkage int sys_setpriority32(u32 which, u32 who, u32 niceval)
 {
 	return sys_setpriority((int) which,
diff -puN arch/sparc64/kernel/sparc64_ksyms.c~add-syscalls-update arch/sparc64/kernel/sparc64_ksyms.c
--- 25/arch/sparc64/kernel/sparc64_ksyms.c~add-syscalls-update	2004-02-06 18:54:00.000000000 -0800
+++ 25-akpm/arch/sparc64/kernel/sparc64_ksyms.c	2004-02-06 18:54:00.000000000 -0800
@@ -85,12 +85,6 @@ extern void syscall_trace(void);
 extern u32 sunos_sys_table[], sys_call_table32[];
 extern void tl0_solaris(void);
 extern void sys_sigsuspend(void);
-extern int sys_getppid(void);
-extern int sys_getpid(void);
-extern int sys_geteuid(void);
-extern int sys_getuid(void);
-extern int sys_getegid(void);
-extern int sys_getgid(void);
 extern int svr4_getcontext(svr4_ucontext_t *uc, struct pt_regs *regs);
 extern int svr4_setcontext(svr4_ucontext_t *uc, struct pt_regs *regs);
 extern int compat_sys_ioctl(unsigned int fd, unsigned int cmd, u32 arg);
diff -puN arch/sparc64/kernel/sys_sparc32.c~add-syscalls-update arch/sparc64/kernel/sys_sparc32.c
--- 25/arch/sparc64/kernel/sys_sparc32.c~add-syscalls-update	2004-02-06 18:54:00.000000000 -0800
+++ 25-akpm/arch/sparc64/kernel/sys_sparc32.c	2004-02-06 18:54:00.000000000 -0800
@@ -89,10 +89,6 @@
 	__ret;				\
 })
 
-extern asmlinkage long sys_setgid(gid_t);
-extern asmlinkage long sys_setuid(uid_t);
-extern asmlinkage long sys_setfsuid(uid_t);
-extern asmlinkage long sys_setfsgid(gid_t);
  
 asmlinkage long sys32_chown16(const char * filename, u16 user, u16 group)
 {
@@ -1611,8 +1607,6 @@ asmlinkage int sys32_sysinfo(struct sysi
 	return ret;
 }
 
-extern asmlinkage int sys_sched_rr_get_interval(pid_t pid, struct timespec *interval);
-
 asmlinkage int sys32_sched_rr_get_interval(compat_pid_t pid, struct compat_timespec *interval)
 {
 	struct timespec t;
@@ -1627,8 +1621,6 @@ asmlinkage int sys32_sched_rr_get_interv
 	return ret;
 }
 
-extern asmlinkage int sys_rt_sigprocmask(int how, sigset_t *set, sigset_t *oset, size_t sigsetsize);
-
 asmlinkage int sys32_rt_sigprocmask(int how, compat_sigset_t *set, compat_sigset_t *oset, compat_size_t sigsetsize)
 {
 	sigset_t s;
@@ -1663,8 +1655,6 @@ asmlinkage int sys32_rt_sigprocmask(int 
 	return 0;
 }
 
-extern asmlinkage int sys_rt_sigpending(sigset_t *set, size_t sigsetsize);
-
 asmlinkage int sys32_rt_sigpending(compat_sigset_t *set, compat_size_t sigsetsize)
 {
 	sigset_t s;
@@ -1772,9 +1762,6 @@ sys32_rt_sigtimedwait(compat_sigset_t *u
 	return ret;
 }
 
-extern asmlinkage int
-sys_rt_sigqueueinfo(int pid, int sig, siginfo_t *uinfo);
-
 asmlinkage int
 sys32_rt_sigqueueinfo(int pid, int sig, siginfo_t32 *uinfo)
 {
@@ -2105,15 +2092,11 @@ out:
 
 #ifdef CONFIG_MODULES
 
-extern asmlinkage long sys_init_module(void *, unsigned long, const char *);
-
 asmlinkage int sys32_init_module(void *umod, u32 len, const char *uargs)
 {
 	return sys_init_module(umod, len, uargs);
 }
 
-extern asmlinkage long sys_delete_module(const char *, unsigned int);
-
 asmlinkage int sys32_delete_module(const char *name_user, unsigned int flags)
 {
 	return sys_delete_module(name_user, flags);
@@ -2698,8 +2681,6 @@ out:
 	return ret;       
 }
 
-extern asmlinkage long sys_setpriority(int which, int who, int niceval);
-
 asmlinkage int sys_setpriority32(u32 which, u32 who, u32 niceval)
 {
 	return sys_setpriority((int) which,
diff -puN arch/sparc64/kernel/sys_sunos32.c~add-syscalls-update arch/sparc64/kernel/sys_sunos32.c
--- 25/arch/sparc64/kernel/sys_sunos32.c~add-syscalls-update	2004-02-06 18:54:00.000000000 -0800
+++ 25-akpm/arch/sparc64/kernel/sys_sunos32.c	2004-02-06 18:54:00.000000000 -0800
@@ -782,8 +782,6 @@ out:
 	return ret;
 }
 
-extern asmlinkage int sys_setsid(void);
-extern asmlinkage int sys_setpgid(pid_t, pid_t);
 
 asmlinkage int sunos_setpgrp(pid_t pid, pid_t pgid)
 {
diff -puN arch/sparc/kernel/sys_sunos.c~add-syscalls-update arch/sparc/kernel/sys_sunos.c
--- 25/arch/sparc/kernel/sys_sunos.c~add-syscalls-update	2004-02-06 18:54:00.000000000 -0800
+++ 25-akpm/arch/sparc/kernel/sys_sunos.c	2004-02-06 18:54:00.000000000 -0800
@@ -815,8 +815,6 @@ out:
 	return ret;
 }
 
-extern asmlinkage int sys_setsid(void);
-extern asmlinkage int sys_setpgid(pid_t, pid_t);
 
 asmlinkage int sunos_setpgrp(pid_t pid, pid_t pgid)
 {
diff -puN arch/x86_64/ia32/sys_ia32.c~add-syscalls-update arch/x86_64/ia32/sys_ia32.c
--- 25/arch/x86_64/ia32/sys_ia32.c~add-syscalls-update	2004-02-06 18:54:00.000000000 -0800
+++ 25-akpm/arch/x86_64/ia32/sys_ia32.c	2004-02-06 18:54:00.000000000 -0800
@@ -362,9 +362,6 @@ sys32_sigaction (int sig, struct old_sig
 	return ret;
 }
 
-extern asmlinkage long sys_rt_sigprocmask(int how, sigset_t *set, sigset_t *oset,
-					  size_t sigsetsize);
-
 asmlinkage long
 sys32_rt_sigprocmask(int how, compat_sigset_t *set, compat_sigset_t *oset,
 		     unsigned int sigsetsize)
@@ -979,9 +976,6 @@ sys32_sysinfo(struct sysinfo32 *info)
 	return 0;
 }
                 
-extern asmlinkage long sys_sched_rr_get_interval(pid_t pid,
-						struct timespec *interval);
-
 asmlinkage long
 sys32_sched_rr_get_interval(compat_pid_t pid, struct compat_timespec *interval)
 {
@@ -997,8 +991,6 @@ sys32_sched_rr_get_interval(compat_pid_t
 	return ret;
 }
 
-extern asmlinkage long sys_rt_sigpending(sigset_t *set, size_t sigsetsize);
-
 asmlinkage long
 sys32_rt_sigpending(compat_sigset_t *set, compat_size_t sigsetsize)
 {
@@ -1023,9 +1015,6 @@ sys32_rt_sigpending(compat_sigset_t *set
 	return ret;
 }
 
-extern asmlinkage long
-sys_rt_sigtimedwait(const sigset_t *uthese, siginfo_t *uinfo,
-		    const struct timespec *uts, size_t sigsetsize);
 
 asmlinkage long
 sys32_rt_sigtimedwait(compat_sigset_t *uthese, siginfo_t32 *uinfo,
@@ -1065,9 +1054,6 @@ sys32_rt_sigtimedwait(compat_sigset_t *u
 	return ret;
 }
 
-extern asmlinkage long
-sys_rt_sigqueueinfo(int pid, int sig, siginfo_t *uinfo);
-
 asmlinkage long
 sys32_rt_sigqueueinfo(int pid, int sig, siginfo_t32 *uinfo)
 {
@@ -1482,8 +1468,6 @@ long sys32_lseek (unsigned int fd, int o
 	return sys_lseek(fd, offset, whence);
 }
 
-extern int sys_kill(pid_t pid, int sig); 
-
 long sys32_kill(int pid, int sig)
 {
 	return sys_kill(pid, sig);
diff -puN include/linux/syscalls.h~add-syscalls-update include/linux/syscalls.h
--- 25/include/linux/syscalls.h~add-syscalls-update	2004-02-06 18:54:00.000000000 -0800
+++ 25-akpm/include/linux/syscalls.h	2004-02-06 18:54:00.000000000 -0800
@@ -101,8 +101,11 @@ asmlinkage long sys_capset(cap_user_head
 				const cap_user_data_t data);
 asmlinkage long sys_personality(u_long personality);
 
-asmlinkage long sys_sigpending(old_sigset_t *);
-asmlinkage long sys_sigprocmask(int, old_sigset_t *, old_sigset_t *);
+asmlinkage long sys_sigpending(old_sigset_t __user *set);
+#if !defined(__alpha__)
+asmlinkage long sys_sigprocmask(int how, old_sigset_t __user *set,
+				old_sigset_t __user *oset);
+#endif
 asmlinkage long sys_getitimer(int which, struct itimerval __user *value);
 asmlinkage long sys_setitimer(int which,
 				struct itimerval __user *value,
@@ -148,6 +151,7 @@ asmlinkage long sys_getpriority(int whic
 
 asmlinkage long sys_reboot(int magic1, int magic2, unsigned int cmd,
 				void __user *arg);
+asmlinkage long sys_restart_syscall(void);
 
 asmlinkage long sys_exit(int error_code);
 asmlinkage void sys_exit_group(int error_code);
@@ -169,7 +173,6 @@ asmlinkage long sys_init_module(void __u
 asmlinkage long sys_delete_module(const char __user *name_user,
 				unsigned int flags);
 
-asmlinkage long sys_restart_syscall(void);
 asmlinkage long sys_rt_sigprocmask(int how, sigset_t __user *set,
 				sigset_t __user *oset, size_t sigsetsize);
 asmlinkage long sys_rt_sigpending(sigset_t __user *set, size_t sigsetsize);
@@ -181,11 +184,6 @@ asmlinkage long sys_kill(int pid, int si
 asmlinkage long sys_tgkill(int tgid, int pid, int sig);
 asmlinkage long sys_tkill(int pid, int sig);
 asmlinkage long sys_rt_sigqueueinfo(int pid, int sig, siginfo_t __user *uinfo);
-asmlinkage long sys_sigpending(old_sigset_t __user *set);
-#if !defined(__alpha__)
-asmlinkage long sys_sigprocmask(int how, old_sigset_t __user *set,
-				old_sigset_t __user *oset);
-#endif
 #ifndef __sparc__
 asmlinkage long sys_rt_sigaction(int sig,
 				const struct sigaction __user *act,
@@ -198,8 +196,7 @@ asmlinkage long sys_ssetmask(int newmask
 #endif
 #if !defined(__alpha__) && !defined(__ia64__) && !defined(__mips__) && \
     !defined(__arm__)
-asmlinkage unsigned long
-sys_signal(int sig, __sighandler_t handler);
+asmlinkage unsigned long sys_signal(int sig, __sighandler_t handler);
 #endif
 #ifndef HAVE_ARCH_SYS_PAUSE
 asmlinkage long sys_pause(void);

_
